OPANNOTATE(1)

NAME
opannotate - produce source or assembly annotated with profile data

SYNOPSIS
opannotate [ options ] [profile specification]

DESCRIPTION
opannotate outputs annotated source and/or assembly from profile data of an OProfile session. See oprofile(1) for how to write profile specifications.

OPTIONS

--assembly / -a
    Output annotated assembly. If this is combined with --source, then mixed source / assembly annotations are output.

--demangle / -D none|smart|normal
    none: no demangling. normal: use default demangler (default) smart: use pattern-matching to make C++ symbol demangling more readable.

--exclude-dependent / -x
    Do not include application-specific images for libraries, kernel modules and the kernel. This option only makes sense if the profile session used --separate.

--exclude-file [files]
    Exclude all files in the given comma-separated list of glob patterns.

--exclude-symbols / -e [symbols]
    Exclude all the symbols in the given comma-separated list.

--help / -? / --usage
    Show help message.

--image-path / -p [paths]
    Comma-separated list of additional paths to search for binaries. This is needed to find modules in kernels 2.6 and upwards.

--root / -R [path]
    A path to a filesystem to search for additional binaries.

--include-file [files]
    Only include files in the given comma-separated list of glob patterns.

--include-symbols / -i [symbols]
    Only include symbols in the given comma-separated list.

--objdump-params [params]
    Pass the given parameters as extra values when calling objdump.

--output-dir / -o [dir]
    Output directory. This makes opannotate output one annotated file for each source file. This option can't be used in conjunction with --assembly.

--search-dirs / -d [paths]
    Comma-separated list of paths to search for source files. You may need to use this option when the debug information for an image contains relative paths.

--base-dirs / -b [paths]
    Comma-separated list of paths to strip from debug source files, prior to looking for them in --search-dirs.

--session-dir=dir_path
    Use sample database out of directory dir_path instead of the default location (/var/lib/oprofile).

--source / -s
    Output annotated source. This requires debugging information to be available for the binaries.

--threshold / -t [percentage]
    Only output data for symbols that have more than the given percentage of total samples.

--verbose / -V [options]
    Give verbose debugging output.

--version / -v
    Show version.

ENVIRONMENT
No special environment variables are recognised by opannotate.

FILES

/var/lib/oprofile/samples/
    The location of the generated sample files.

VERSION

This man page is current for oprofile-0.9.7.

SEE ALSO
/usr/share/doc/oprofile/, oprofile(1)